<script>
  import { createEventDispatcher } from "svelte";

  import Button from "@components/button/pure/pure.svelte";

  export let title;
  export let type;
  export let loading;
  export let disabled;

  const dispatch = createEventDispatcher();
  function onClick(event) {
    dispatch("click", event);
  }
</script>

<style>
  .bottom {
    position: fixed;
    bottom: 0;
    width: calc(100% - 32px);
  }

  .bottom:before {
    content: "";
    position: absolute;
    left: -16px;
    right: -16px;
    top: 0px;
    bottom: 0px;
    border-top: 1px solid #e7e7f0;
    z-index: -1;
  }
</style>

<div class="bottom" data-testid="button-bottom-tid">
  <Button on:click={onClick} {title} {type} {disabled} {loading} />
</div>
